javax.management.remote

## Interface JMXAddressable

All Known Implementing Classes:
  JMXConnectorServer, RMIConnector, RMIConnectorServer

    public interface JMXAddressable

Implemented by objects that can have a `JMXServiceURL` address. All `JMXConnectorServer` objects implement this interface. Depending on the connector implementation, a `JMXConnector` object may implement this interface too. `JMXConnector` objects for the RMI Connector are instances of `RMIConnector` which implements this interface.

An object implementing this interface might not have an address at a given moment. This is indicated by a null return value from `getAddress()`.

Since:
  1.6

### Method Summary

Methods
`JMXServiceURL` `getAddress()` The address of this object.

### Method Detail

#### getAddress

    JMXServiceURL getAddress()

The address of this object.

Returns:
  the address of this object, or null if it does not have one.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.